
CC=g++
CFLAGS= -ansi -O3 -Wall
LDFLAGS= -ansi -lm -Wall
EXEC=community convert hierarchy
OBJ= CProject.o AdjGraph.o IDS.o MaxHeap.o MaxHeap2.o

all : $(OBJ)
	$(CC) -o $@ $^ $(LDFLAGS)

##########################################
# Generic rules
##########################################

%.o: %.cpp %.h
	$(CC) -o $@ -c $< $(CFLAGS)

%.o: %.cpp
	$(CC) -o $@ -c $< $(CFLAGS)

clean:
	rm -f *.o *~ $(EXEC)